Subject: bug#69533: 30.0.50; Wrong byte compilation of a certain apply syntax

From: Michael Heerdegen <[email-masked]>
Date: Mon, 04 Mar 2024 06:13:05 +0100

Michael Heerdegen via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> (byte-optimize-apply '(apply '(+ 1 2)))
>  ==> (funcall '(+ 1 2) '+ '1 '2) ; Ouch!

I'm adding Mattias to the discussion - he had changed
`byte-optimize-apply' after this new convention (which I find
irritating, too) had been introduced.

I guess since byte compilation of such forms is (at least partly)
broken, not many people are actually using it.

Michael.